# openPilotLog: NewTailDialog Class Reference

NewTailDialog Class Reference

The NewTail class is a dialog for adding a new tail to the database or editing an existing one. More...

`#include <newtaildialog.h>`

Inheritance diagram for NewTailDialog:

## Public Member Functions

| NewTailDialog (QString new_registration, QWidget *parent=nullptr)
| NewTailDialog (int row_id, QWidget *parent=nullptr)

## Detailed Description

The NewTail class is a dialog for adding a new tail to the database or editing an existing one.

For a new tail, construct using QString reg. For editing an existing tail, provide the aircraft object.

The documentation for this class was generated from the following files:

- src/gui/dialogues/newtaildialog.h
- src/gui/dialogues/newtaildialog.cpp